from flask import request, Blueprint

simulation_blueprint = Blueprint('simulation_blueprint', __name__)

class SimulationController:
    def __init__(self):
        pass

    def harmonic_progression(self, n):
        sum = 0
        for i in range(1, n):
            sum += 1/i

        return sum

simulation_controller = SimulationController()

@simulation_blueprint.route('/simulation/harmonic-progression', methods=['GET'])
def return_ok():
    n = int(request.args.get('n'))
    sum = simulation_controller.harmonic_progression(n)

    return str(sum), 200
